# $Revision: 1.23 $, $Date: 2008/07/27 22:29:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Inner
Summary:	Class::Inner - a perlish implementation of Java-like inner classes
Summary(pl.UTF-8):	Class::Inner - perlowa implementacja wewnętrznych klas w stylu Javy
Name:		perl-Class-Inner
Version:	0.1
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	388db813c6a7050c4e0483bc4d86fc21
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yet another implementation of an anonymous class with per object
overrideable methods, but with the added attraction of sort of
working dispatch to the parent class's method.

%description -l pl.UTF-8
Jeszcze jedna implementacja anonimowej klasy z metodami przykrywalnymi
dla obiektu, ale z dodanym czymś w rodzaju wysyłania do metody klasy
nadrzędnej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Inner.spec,v $
Revision 1.23  2008/07/27 22:29:11  arekm
- release 4

Revision 1.22  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:10  paladine
- formatting

Revision 1.19  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.18  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.17  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.15  2004/04/22 20:42:10  ankry
- bconds added

Revision 1.14  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.13  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.12  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.11  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.10  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:14  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:05  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/23 14:10:09  qboosh
- pl description

Revision 1.1  2002/07/19 09:46:55  radek
- new, works, STBR
